COL(1)

NAZWA
col - filtruje z wejścia znaki cofnięcia o wiersz

SKŁADNIA

col opcje

OPIS

Narzędzie użytkowe col filtruje znaki cofnięcia o wiersz (i o pół wiersza), tak że wyjście jest poprawnie uporządkowane i zawiera wyłącznie znaki wysuwu i połowy wysuwu do nowego wiersza. Gdzie jest to możliwe wymienia również spacje na znaki tabulacji. Może to być przydatne przy przetwarzaniu wyjścia z nroff i tbl.

col czyta ze standardowego wejścia i zapisuje na standardowe wyjście.

OPCJE

-b, --no-backspaces
    Nie wysyła na wyjście znaków backspace, dla każdej pozycji (kolumny) drukuje wyłącznie ostatni znak w niej zapisany.

-f, --fine
    Permit half-forward line feeds. Normally characters destined for a half-line boundary are printed on the following line.

-h, --tabs
    Output tabs instead of multiple spaces.

-l, --lines num
    Buforuje w pamięci co najmniej num wierszy. Domyślnie buforowanych jest 128 wierszy.

-p, --pass
    Wymusza niezmienianie nieznanych sekwencji sterujących. Normalnie col odfiltruje z wejścia wszystkie sekwencje sterujące różne od tych wymienionych poniżej, które rozpoznaje i obsługuje.

-x, --spaces
    Wysyła na wyjście wielokrotne spacje zamiast znaków tabulacji.

-V, --version
    Wyświetla informacje o wersji i kończy działanie.

-H, --help
    Wyświetla ten tekst i kończy pracę.

ZGODNE Z

The col utility conforms to the Single UNIX Specification, Version 2. The -l option is an extension to the standard.

UWAGI

Sekwencje sterujące ruchem karetki, rozumiane przez col oraz ich wartości dziesiętne podano w poniższej tabeli:

ESC-7
    cofnięcie o wiersz (reverse line feed) (escape, potem 7)

ESC-8
    cofnięcie o połowę wiersza (half reverse line feed) (escape, potem 8)

ESC-9
    wysuw do przodu o połowę wiersza (half forward line feed (escape, potem 9)

backspace
    cofnięcie o jedną kolumnę (8); ignorowane w pierwszej kolumnie

nowy wiersz
    wysuw wiersza (forward line feed) (10); wykonuje również powrót karetki

powrót karetki
    (powrót karetki) (13)

shift in
    przełącza na normalny zestaw znaków (15)

shift out
    przełącza na alternatywny zestaw znaków (14)

spacja
    przesuwa do przodu o jedną kolumnę (32)

tab
    przesuwa do przodu na następną pozycję tabulacji (9)

tabulacja pionowa
    cofnięcie o wiersz (11)

Wszystkie nierozpoznane znaki sterujące i sekwencje specjalne są odrzucane.

col keeps track of the character set as characters are read and makes sure the character set is correct when they are output.

Jeśli wejście usiłuje powrócić do ostatniego, opróżnionego już z bufora na wyjście wiersza, col wyświetli komunikat ostrzegawczy.

HISTORIA

A col command appeared in Version 6 AT&T UNIX.

ZOBACZ TAKŻE

expand(1), nroff(1), tbl(1)

ZGŁASZANIE BŁĘDÓW

Raporty o błędach proszę zgłaszać pod adresem

DOSTĘPNOŚĆ

The col command is part of the util-linux package which can be downloaded from

T◈UMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Wojtek Kotwica <wkotwica@post.pl> i Robert Luberda <robert@debian.org>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.